[package]
name = "demostf-client"
version = "0.5.1"
authors = ["Robin Appelman <robin@icewind.nl>"]
edition = "2021"
description = "Api client for demos.tf"
license = "MIT OR Apache-2.0"
repository = "https://codeberg.org/demostf/api-client"
readme = "README.md"
exclude = ["tests/data/gully.dem"]
keywords = ["tf2", "demo"]
categories = ["api-bindings"]
rust-version = "1.88.0"

[dependencies]
serde = { version = "1.0.228", features = ["derive"] }
time = { version = "0.3.47", features = ["serde"] }
reqwest = { version = "0.13.3", default-features = false, features = [
    "json",
    "multipart",
    "stream",
    "form",
    "query",
    "default-tls",
] }
thiserror = "2.0.18"
hex = "0.4.3"
steamid-ng = "3.0.0"
bytes = "1.11.1"
futures-util = "0.3.32"
tracing = "0.1.44"
tinyvec = { version = "1.11.0", features = ["alloc"] }
md5 = "0.8.0"

[dev-dependencies]
tokio = { version = "1.52.3", features = ["macros"] }
sqlx = { version = "0.8.6", features = ["postgres", "runtime-tokio-rustls"] }
tracing-subscriber = { version = "0.3.23", features = ["env-filter"] }
